Subject: Re: bug#36332: non-GUI build broken on macOS

From: Glenn Morris <[email-masked]>
Date: Mon, 24 Jun 2019 21:43:01 -0400

>> > So I suggest that [extraclean] doesn't delete src/macuvs.h.
>> 
>> I think that's a good solution. 
>
> I'm OK with not removing it.  However, let's also mention this in the
> description of "extraclean" in the top-level Makefile.in, to the
> effect that if someone wants to force regenerating macuvs.h (e.g.,
> because IVD_Sequences.txt was updated), they might need to remove this
> file manually.

I think the "extraclean" target has not had a proper definition to date.
I think a useful definition would be "return to the state of a clean checkout"
(by deleting files known to make, not by git clean).
In which case by definition "extraclean" would not delete macuvs.h.